Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.language.rc
[Java] Interface WindowsResourceSet

    org.gradle.api.Buildable
      org.gradle.language.base.LanguageSourceSet
          org.gradle.language.HeaderExportingSourceSet
              org.gradle.language.rc.WindowsResourceSet
                  org.gradle.api.Named

All Superinterfaces:
  Buildable, LanguageSourceSet, HeaderExportingSourceSet, Named

    @Incubating
    public interface WindowsResourceSet
    extends HeaderExportingSourceSet, LanguageSourceSet

A set of Windows Resource definition files.

A Windows Resource set contains a set of script files, together with an optional set of header files.

     apply plugin: "windows-resources"

     sources {
         main {
             // Configure an existing WindowsResourceSet
             rc {
                 source {
                     srcDirs "src/main/rc"
                     include "**{literal:/}*.rc"
                 }
                 exportedHeaders {
                     srcDirs "src/main/include"
                 }
             }
         }
     }

Method Summary

Methods inherited from interface LanguageSourceSet
getSource, source

Methods inherited from interface HeaderExportingSourceSet
exportedHeaders, getExportedHeaders

Methods inherited from interface LanguageSourceSet
getSource, source

Gradle API 1.10